Subject: bug#70996: project-find-file defaults

From: Dmitry Gutov <[email-masked]>
Date: Fri, 14 Jun 2024 20:24:33 +0300

On 14/06/2024 20:00, Juri Linkov wrote:
>>> I personally never use the file-name-at-point behavior of
>>> project-find-file, but I'm happy with it being higher-precedence because
>>> it will match find-file - as long as it also matches find-file in only
>>> including filenames of existing files.
>> In case you agree with my concerns above (I'm happy to be convinced
>> otherwise), we could try to do something like
>>
>>    (completion-try-completion (thing-at-point 'filename)
>>                               TABLE nil LEN)
> Unfortunately, this might get a false positive on a short word under point
> that with high likelihood will match a file name with a short substring.

It might. But we could set up the styles (or some other way to do the 
matching) so that it would only match full file name segments.